/**
 *  Paintroid: An image manipulation application for Android.
 *  Copyright (C) 2010-2013 The Catrobat Team
 *  (<http://developer.catrobat.org/credits>)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.catrobat.paintroid.command.implementation;

import org.catrobat.paintroid.PaintroidApplication;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import android.util.Log;

public class PointCommand extends BaseCommand {
	protected PointF mPoint;

	public PointCommand(Paint paint, PointF point) {
		super(paint);
		if (point != null) {
			mPoint = new PointF(point.x, point.y);
		}
	}

	@Override
	public void run(Canvas canvas, Bitmap bitmap) {
		if (canvas == null || mPoint == null) {
			Log.w(PaintroidApplication.TAG,
					"Object must not be null in PointCommand.");
			return;
		}
		canvas.drawPoint(mPoint.x, mPoint.y, mPaint);
	}
}
